From: "Miroslav Šulc" <fordfrog@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-plugins/vamp-libxtract-plugins/
Date: Tue, 9 Apr 2024 07:09:48 +0000 (UTC) [thread overview]
Message-ID: <1712646521.26771796903a2591b5d52f763bdc8474b3269c6d.fordfrog@gentoo> (raw)
commit: 26771796903a2591b5d52f763bdc8474b3269c6d
Author: Michael Mair-Keimberger <mmk <AT> levelnine <DOT> at>
AuthorDate: Mon Apr 8 17:06:48 2024 +0000
Commit: Miroslav Šulc <fordfrog <AT> gentoo <DOT> org>
CommitDate: Tue Apr 9 07:08:41 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=26771796
media-plugins/vamp-libxtract-plugins: EAPI8 bump
Signed-off-by: Michael Mair-Keimberger <mmk <AT> levelnine.at>
Closes: https://github.com/gentoo/gentoo/pull/36162
Signed-off-by: Miroslav Šulc <fordfrog <AT> gentoo.org>
...vamp-libxtract-plugins-0.6.6.20121204-r1.ebuild | 34 ++++++++++++++++++++++
1 file changed, 34 insertions(+)
diff --git a/media-plugins/vamp-libxtract-plugins/vamp-libxtract-plugins-0.6.6.20121204-r1.ebuild b/media-plugins/vamp-libxtract-plugins/vamp-libxtract-plugins-0.6.6.20121204-r1.ebuild
new file mode 100644
index 000000000000..dfd51dbc3fac
--- /dev/null
+++ b/media-plugins/vamp-libxtract-plugins/vamp-libxtract-plugins-0.6.6.20121204-r1.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit toolchain-funcs
+
+DESCRIPTION="Vamp plugin encapsulating many of the functions of the LibXtract library"
+HOMEPAGE="https://www.vamp-plugins.org/"
+SRC_URI="https://code.soundsoftware.ac.uk/attachments/download/618/${P}.tar.gz"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
+
+RDEPEND="=sci-libs/fftw-3*
+ >=media-libs/libxtract-0.6.6
+ media-libs/vamp-plugin-sdk"
+DEPEND="${RDEPEND}"
+
+src_prepare() {
+ default
+ sed -e "s/-O3//" -e "s/ -Wl,-Bstatic//" -i Makefile || die "sed Makefile failed"
+}
+
+src_configure() {
+ tc-export CXX
+}
+
+src_install() {
+ insinto /usr/$(get_libdir)/vamp
+ doins vamp-libxtract.{so,cat}
+ einstalldocs
+}
next reply other threads:[~2024-04-09 7:09 UTC|newest]
Thread overview: 9+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-04-09 7:09 Miroslav Šulc [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-05-10 16:46 [gentoo-commits] repo/gentoo:master commit in: media-plugins/vamp-libxtract-plugins/ Arthur Zamarin
2024-05-09 11:33 Sam James
2024-05-09 11:33 Sam James
2024-05-09 11:33 Sam James
2022-03-09 23:12 Sam James
2019-05-03 0:42 Aaron Bauman
2018-06-02 22:38 Aaron Bauman
2017-12-04 9:26 Alexis Ballier
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1712646521.26771796903a2591b5d52f763bdc8474b3269c6d.fordfrog@gentoo \
--to=fordfrog@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox